// https://docs.cypress.io/api/introduction/api.html

describe("Homepage", () => {
  it("Visits the app root url", () => {
    cy.visit("http://localhost:8080");
    cy.contains("h2", "Directory");
  });

  it("Deletes a fruit", () => {
    cy.get(".action-btn--delete").click();
    cy.get(".grid-item:first-of-type .delete-btn").click();
    cy.get(".btn--success").click();
    cy.url().should("equal", "http://localhost:8080/");
  });

  it("Navigates to fruit details", () => {
    const fruitElmt = cy.get(".grid-item:first-of-type a");
    fruitElmt.get("h3").then(elmt => {
      fruitElmt.click();
      cy.contains("h3", elmt.text());
    });
  });
});
